#ifndef SPELL_WARZ_GAME_HPP
#define SPELL_WARZ_GAME_HPP 1

#include <map>
#include <vector>

#include "Element.hpp"
#include "Spell.hpp"
#include "Character.hpp"

namespace Game
{
extern std::map<std::string, Element> Elements;
extern std::map<Element, std::vector<Spell>> SpellBook;
extern std::vector<Character> PlayerParty;

void init();
bool isPartyAlive(std::vector<Character *> &party);

} // namespace Game

#endif