#include "Spell.hpp"

int Spell::TYPE_RESTORATION = 1;
int Spell::TYPE_DESTRUCTION = 2;

Spell::Spell(std::string spellName,
             Element *spellElement,
             int spellType,
             int spellPower,
             int spellCost)
{
    this->name = spellName;
    this->element = spellElement;
    this->type = spellType;
    this->power = spellPower;
    this->cost = spellCost;
}

int Spell::getType()
{
    return this->type;
}

int Spell::getPower()
{
    return this->power;
}

int Spell::getCost()
{
    return this->cost;
}

Element *Spell::getElement()
{
    return this->element;
}

std::string Spell::getName()
{
    return this->name;
}
