#ifndef SPELL_WARZ_SPELL_CPP
#define SPELL_WARZ_SPELL_CPP 1

#include <string>

#include "Element.hpp"

class Spell
{
protected:
    std::string name;
    Element *element;
    int type;
    int power;
    int cost;

public:
    static int TYPE_RESTORATION;
    static int TYPE_DESTRUCTION;

    Spell(std::string spellName,
          Element *spellElement,
          int spellType,
          int spellPower,
          int spellCost);
    int getType();
    int getPower();
    int getCost();
    Element *getElement();
    std::string getName();
};

#endif